Subject: RE:

From: <[email-masked]>
Date: Thu, 21 Nov 2002 18:09:23 +0200

Hi Dajiang!

	See my comments inline...

> hi,
> 
> I have several questions about implementing add ip.
> 
> 1) what's the benefit of using Success Indicatyion(0xC005)? 
>     It seems its usage is  to explicitly report a success for 
> a requested TLV if some requests success and the others fail.

	You are right... The default is that all the requests for which you didn't include any cause code in the ASCONF ACK, are supposed to be successful... This cause code is just to make it more explicit...

>   Is it possible to treat it as the default value of a 
> response and not using it at all?

	This is what I do in fact... I don't send them, but you always have to understand them if you get any...

> 2)If the sender requests to delete a address not in its 
> address list by mistake, what shall the receiver do?
>   Reply a success or tell error to the sender? If the 
> receiver choose to tell the error to the sender, what's the 
> cause code?

	Since the address is not in use (and that's exactly what the requester wanted), what I do is simply sending a successful reply...

> 3) In Section 4.2,C3,X1, if the request was refused because 
> of resource shortage in previous process but there is 
> resource available now, shall the receiver still send ERROR 
> the sender?

	The reply must be exactly the same one... Otherwise there is the possibility that the receiver still gets the first ASCONF ACK and then the state at the sender and receiver is different... So, just to avoid this, you should do exactly the same that you did... Probably the best option is keeping always a copy of the last ASCONF ACK chunk sent, but this is just an implementation option...

	I hope this helps!

	BR Iván Arias Rodríguez

> Thanks!
> Dajiang Zhang